import Circle from "./base-class/circle";
import ObjectHelper from "./helper/object-helper";
var Api = /** @class */ (function () {
    function Api(options) {
        this.options = options;
    }
    /**
     * @description Update options and rerender circle
     * @param parameter
     */
    Api.prototype.update = function (parameter) {
        var _this = this;
        var element = document.getElementById("svg-" + this.options.id);
        if (Array.isArray(parameter)) {
            parameter.forEach(function (p) { return _this.updateType(p.type, p.value); });
        }
        else {
            this.updateType(parameter.type, parameter.value);
        }
        element.innerHTML = "";
        Circle.initializeCircleType(this.options);
    };
    /**
     * @description Update options by given type
     * @param type
     * @param value
     */
    Api.prototype.updateType = function (type, value) {
        switch (type) {
            case "percent":
                this.options.percent = Number(value);
                break;
            case "point":
                this.options.point = Boolean(value);
                break;
            case "animation":
                this.options.animation = Boolean(value);
                break;
            case "pointSize":
                this.options.pointSize = Number(value);
                break;
            case "animationStep":
                this.options.animationStep = Number(value);
                break;
            case "strokeGradient":
                // tslint:disable-next-line
                this.options.strokeGradient = value;
                break;
            case "icon":
                this.options.icon = String(value);
                break;
            case "text":
                this.options.text = String(value);
                break;
            case "textReplacesPercentage":
                this.options.textReplacesPercentage = Boolean(value);
                break;
            case "foregroundCircleWidth":
                this.options.foregroundCircleWidth = Number(value);
                break;
            case "backgroundCircleWidth":
                this.options.backgroundCircleWidth = Number(value);
                break;
            case "additionalCssClasses":
                // tslint:disable-next-line
                this.options.additionalCssClasses = value;
                break;
            case "progressColors":
                // tslint:disable-next-line
                this.options.progressColors = value;
                break;
        }
    };
    /**
     * @description Get property from object
     * @param type
     */
    Api.prototype.get = function (type) {
        return ObjectHelper.extractPropertyFromObject(this.options, type);
    };
    return Api;
}());
export { Api };
